# TODO:
#	- separate netx.jar? I guess it contains the JNLP implementation

# Conditional build:
%bcond_without	javadoc		# don't build javadoc
%bcond_with	tests		# build with tests (interactive?)

%define	use_jdk	icedtea7

Summary:	Web browser Java plugin and an implementation of Java Web Start
Summary(pl.UTF-8):	Wtyczka Java dla przeglądarek WWW i implementacja Java Web Start
Name:		icedtea-web
Version:	1.3.2
Release:	2
License:	GPL v2
Group:		Applications
Source0:	http://icedtea.wildebeest.org/download/source/%{name}-%{version}.tar.gz
# Source0-md5:	94ce02c42c1e4d1411357fb3c1014f67
URL:		http://icedtea.classpath.org/wiki/IcedTea-Web
BuildRequires:	rpm-javaprov
BuildRequires:	xulrunner-devel
BuildRequires:	zlib-devel
%{?buildrequires_jdk}
Requires:	icedtea7-jre-base >= 1.9
Obsoletes:	icedtea6-jre-base-mozilla-plugin
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The IcedTea-Web project provides a Free Software web browser plugin
running applets written in the Java programming language and an
implementation of Java Web Start, originally based on the NetX
project.

%package -n browser-plugin-java-%{name}
Summary:	IceTea Java plugin for WWW browsers
Summary(pl.UTF-8):	Wtyczka Javy do przeglądarek WWW
Group:		Development/Languages/Java
URL:		http://icedtea.classpath.org/wiki/IcedTea-Web
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	gtk+2-devel
%{?with_tests:BuildRequires:	java-junit}
BuildRequires:	java-rhino
BuildRequires:	jpackage-utils
Requires:	%{name} = %{version}-%{release}
Requires:	browser-plugins >= 2.0
Requires:	browser-plugins(%{_target_base_arch})
Obsoletes:	browser-plugin-java-icedtea6

%description -n browser-plugin-java-%{name}
Java plugin for WWW browsers.

%description -n browser-plugin-java-%{name} -l pl.UTF-8
Wtyczka z obsługą Javy dla przeglądarek WWW.

%package javadoc
Summary:	Online manual for %{name}
Summary(pl.UTF-8):	Dokumentacja online do %{name}
Group:		Documentation
Requires:	jpackage-utils

%description javadoc
Documentation for %{name}.

%description javadoc -l pl.UTF-8
Dokumentacja do %{name}.

%description javadoc -l fr.UTF-8
Javadoc pour %{name}.

%prep
%setup -q

%build
%{__aclocal}
%{__autoconf}
%{__automake}

%configure \
	--with-jdk-home="%{java_home}" \
	--docdir="%{_javadocdir}/%{name}-%{version}" \
	%{!?with_javadoc:--disable-docs}

%{__make}

%{?with_tests:%{__make} -j1 plugin-tests run-netx-unit-tests run-netx-dist-tests}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_browserpluginsdir}
%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

ln -s %{_libdir}/IcedTeaPlugin.so $RPM_BUILD_ROOT%{_browserpluginsdir}/libjavaplugin.so
ln -s %{name}-%{version} $RPM_BUILD_ROOT%{_javadocdir}/%{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post javadoc
ln -nfs %{name}-%{version} %{_javadocdir}/%{name}

%post -n browser-plugin-java-%{name}
%update_browser_plugins

%postun -n browser-plugin-java-%{name}
if [ "$1" = 0 ]; then
	%update_browser_plugins
fi

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README
%attr(755,root,root) %{_bindir}/javaws
%attr(755,root,root) %{_bindir}/itweb-settings
%attr(755,root,root) %{_libdir}/IcedTeaPlugin.so
%{_datadir}/%{name}
%{_mandir}/man1/javaws.*

%files -n browser-plugin-java-%{name}
%defattr(644,root,root,755)
%attr(755,root,root) %{_browserpluginsdir}/libjavaplugin.so

%if %{with javadoc}
%files javadoc
%defattr(644,root,root,755)
%{_javadocdir}/%{name}-%{version}
%ghost %{_javadocdir}/%{name}
%endif
%changelog
* Fri Nov 15 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/icedtea-web.git;a=log;h=master

* Fri Nov 15 2013 Elan Ruusamäe <glen@delfi.ee> 1408eff
- R icedtea7, as seems it's currently built with it; verbose files; fix .so perms

* Mon Apr 22 2013 Jacek Konieczny <j.konieczny@eggsoft.pl> 08250ff
- Version: 1.3.2

* Mon Apr 22 2013 Jacek Konieczny <j.konieczny@eggsoft.pl> 0ba5a50
- Build with icedtea7 for Java 7 support

* Sat Nov 17 2012 Jacek Konieczny <jajcus@jajcus.net> 825d762
- Version: 1.3.1

* Sat Nov 17 2012 Jacek Konieczny <jajcus@jajcus.net> 0b382fb
- URL added

* Wed Mar 21 2012 Jacek Konieczny <jajcus@pld-linux.org> e2b65d4
- Release: 2

* Wed Mar 21 2012 Jacek Konieczny <jajcus@pld-linux.org> f45b2d4
- R: icedtea6-jre-base, O: icedtea6-jre-base-mozilla-plugin
- plugin subpackage dependencies fix

* Wed Mar 21 2012 Jacek Konieczny <jajcus@pld-linux.org> 04dc088
- removed extra '%prep' which was added by adapter
- documentation recommends installing the plugin as libjavaplugin.so, let it be so

* Wed Mar 21 2012 Jacek Konieczny <jajcus@pld-linux.org> 352e3c9
- new package

